Loading...
Searching...
No Matches
lime::AES256GCM Struct Reference

AES256GCM buffers size definition. More...

`#include <lime_keys.hpp>`

## Static Public Member Functions

static constexpr size_t | keySize (void)
| key size is 32 bytes
static constexpr size_t | tagSize (void)
| we use authentication tag size of 16 bytes

## Detailed Description

AES256GCM buffers size definition.

## Member Function Documentation

## keySize()

constexpr size_t lime::AES256GCM::keySize | ( | void |  | ) |

inline static constexpr

key size is 32 bytes

## tagSize()

constexpr size_t lime::AES256GCM::tagSize | ( | void |  | ) |

inline static constexpr

we use authentication tag size of 16 bytes

The documentation for this struct was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/lime_keys.hpp